# include/xapian/positioniterator.h File Reference

Classes for iterating through position lists. More...

`#include <iterator>`
`#include <string>`
`#include <xapian/base.h>`
`#include <xapian/types.h>`

Include dependency graph for positioniterator.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | Xapian

## Classes

class | Xapian::TermPosWrapper
| A wrapper class for a termpos which returns the termpos if dereferenced with *. More...
class | Xapian::PositionIterator
| An iterator pointing to items in a list of positions. More...

## Functions

bool | Xapian::operator== (const PositionIterator &a, const PositionIterator &b)
| Test equality of two PositionIterators.
bool | Xapian::operator!= (const PositionIterator &a, const PositionIterator &b)
| Test inequality of two PositionIterators.

## Detailed Description

Classes for iterating through position lists.